Index: trunk/lib/FlairMeta/src/MetaDualShock3.h
===================================================================
--- trunk/lib/FlairMeta/src/MetaDualShock3.h	(revision 14)
+++ trunk/lib/FlairMeta/src/MetaDualShock3.h	(revision 15)
@@ -17,11 +17,11 @@
 
 namespace flair {
-    namespace core {
-        class AhrsData;
-        class Quaternion;
-    }
-    namespace filter {
-        class Ahrs;
-    }
+namespace core {
+class AhrsData;
+class Quaternion;
+}
+namespace filter {
+class Ahrs;
+}
 }
 
@@ -31,40 +31,42 @@
 namespace meta {
 
-    /*! \class MetaDualShock3
-    *
-    * \brief Classe intégrant la manette MetaDualShock3
-    */
-    class MetaDualShock3 : public sensor::TargetEthController {
-        friend class ::MetaDualShock3_impl;
+/*! \class MetaDualShock3
+*
+* \brief Classe intégrant la manette MetaDualShock3
+*/
+class MetaDualShock3 : public sensor::TargetEthController {
+  friend class ::MetaDualShock3_impl;
 
-        public:
-            MetaDualShock3(core::FrameworkManager* parent,std::string name,uint16_t port,uint8_t priority);
-            ~MetaDualShock3();
-            core::AhrsData* GetReferenceOrientation(void) const;
-            float ZRef(void) const;
-            float DzRef(void) const;
-            void SetYawRef(float value);
-            /*!
-            * \brief Set yaw reference
-            *
-            * Yaw part of the output quaternion is obtained by integrating the wz desired angular speed.\n
-            * This method reset the yaw.
-            *
-            * \param value value, only the yaw part of the quaternion is used
-            */
-            void SetYawRef(core::Quaternion const &value);
-            void SetZRef(float value);
-            float RollTrim(void) const;
-            float PitchTrim(void) const;
-            void ErrorNotify(void);
-            void Rumble(uint8_t left_force,uint8_t left_timeout=20,uint8_t right_force=0,uint8_t right_timeout=0);
-            void SetLedON(unsigned int ledId);
-            void SetLedOFF(unsigned int ledId);
-            void FlashLed(unsigned int ledId,uint8_t on_timeout,uint8_t off_timeout);
+public:
+  MetaDualShock3(core::FrameworkManager *parent, std::string name,
+                 uint16_t port, uint8_t priority);
+  ~MetaDualShock3();
+  core::AhrsData *GetReferenceOrientation(void) const;
+  float ZRef(void) const;
+  float DzRef(void) const;
+  void SetYawRef(float value);
+  /*!
+  * \brief Set yaw reference
+  *
+  * Yaw part of the output quaternion is obtained by integrating the wz desired
+  *angular speed.\n
+  * This method reset the yaw.
+  *
+  * \param value value, only the yaw part of the quaternion is used
+  */
+  void SetYawRef(core::Quaternion const &value);
+  void SetZRef(float value);
+  float RollTrim(void) const;
+  float PitchTrim(void) const;
+  void ErrorNotify(void);
+  void Rumble(uint8_t left_force, uint8_t left_timeout = 20,
+              uint8_t right_force = 0, uint8_t right_timeout = 0);
+  void SetLedON(unsigned int ledId);
+  void SetLedOFF(unsigned int ledId);
+  void FlashLed(unsigned int ledId, uint8_t on_timeout, uint8_t off_timeout);
 
-        private:
-            class MetaDualShock3_impl* pimpl_;
-
-    };
+private:
+  class MetaDualShock3_impl *pimpl_;
+};
 } // end namespace meta
 } // end namespace flair
Index: trunk/lib/FlairMeta/src/MetaDualShock3_impl.cpp
===================================================================
--- trunk/lib/FlairMeta/src/MetaDualShock3_impl.cpp	(revision 14)
+++ trunk/lib/FlairMeta/src/MetaDualShock3_impl.cpp	(revision 15)
@@ -29,85 +29,84 @@
 using namespace flair::meta;
 
-MetaDualShock3_impl::MetaDualShock3_impl(MetaDualShock3* self,string name): IODevice((IODevice*)self,name) {
-    joy_ref=new JoyReference(self->GetTab()->NewRow(),"consignes joy");
-    this->self=self;
-    joy_init=false;
-    wasRollTrimUpButtonPressed=false;
-    wasRollTrimDownButtonPressed=false;
-    wasPitchTrimUpButtonPressed=false;
-    wasPitchTrimDownButtonPressed=false;
+MetaDualShock3_impl::MetaDualShock3_impl(MetaDualShock3 *self, string name)
+    : IODevice((IODevice *)self, name) {
+  joy_ref = new JoyReference(self->GetTab()->NewRow(), "consignes joy");
+  this->self = self;
+  joy_init = false;
+  wasRollTrimUpButtonPressed = false;
+  wasRollTrimDownButtonPressed = false;
+  wasPitchTrimUpButtonPressed = false;
+  wasPitchTrimDownButtonPressed = false;
 }
 
-MetaDualShock3_impl::~MetaDualShock3_impl() {
+MetaDualShock3_impl::~MetaDualShock3_impl() {}
 
+// receives updates from the controler
+void MetaDualShock3_impl::UpdateFrom(const io_data *data) {
+  cvmatrix *input = (cvmatrix *)data;
+
+  // on prend une fois pour toute le mutex et on fait des accès directs
+  input->GetMutex();
+
+  // up
+  if (self->IsButtonPressed(12)) {
+    if (!wasPitchTrimDownButtonPressed) {
+      joy_ref->PitchTrimDown();
+      wasPitchTrimDownButtonPressed = true;
+    }
+  } else {
+    wasPitchTrimDownButtonPressed = false;
+  }
+
+  // down
+  if (self->IsButtonPressed(13)) {
+    if (!wasPitchTrimUpButtonPressed) {
+      joy_ref->PitchTrimUp();
+      wasPitchTrimUpButtonPressed = true;
+    }
+  } else {
+    wasPitchTrimUpButtonPressed = false;
+  }
+
+  // right
+  if (self->IsButtonPressed(15)) {
+    if (!wasRollTrimUpButtonPressed) {
+      joy_ref->RollTrimUp();
+      wasRollTrimUpButtonPressed = true;
+    }
+  } else {
+    wasRollTrimUpButtonPressed = false;
+  }
+
+  // left
+  if (self->IsButtonPressed(14)) {
+    if (!wasRollTrimDownButtonPressed) {
+      joy_ref->RollTrimDown();
+      wasRollTrimDownButtonPressed = true;
+    }
+  } else {
+    wasRollTrimDownButtonPressed = false;
+  }
+
+  if (!getFrameworkManager()->ConnectionLost()) {
+    input->GetMutex();
+    joy_ref->SetRollAxis(input->ValueNoMutex(0, 0));
+    joy_ref->SetPitchAxis(input->ValueNoMutex(1, 0));
+    joy_ref->SetYawAxis(input->ValueNoMutex(2, 0));
+    joy_ref->SetAltitudeAxis(input->ValueNoMutex(3, 0));
+    input->ReleaseMutex();
+  } else {
+    joy_ref->SetRollAxis(0);
+    joy_ref->SetPitchAxis(0);
+    joy_ref->SetYawAxis(0);
+    joy_ref->SetAltitudeAxis(0);
+  }
+  input->ReleaseMutex();
+
+  joy_ref->Update(data->DataTime());
+
+  if (!joy_init) {
+    self->TargetEthController::FlashLed(1, 10, 10);
+    joy_init = true;
+  }
 }
-
-//receives updates from the controler
-void MetaDualShock3_impl::UpdateFrom(const io_data *data) {
-    cvmatrix *input=(cvmatrix*)data;
-
-    //on prend une fois pour toute le mutex et on fait des accès directs
-    input->GetMutex();
-
-    //up
-    if(self->IsButtonPressed(12)) {
-        if(!wasPitchTrimDownButtonPressed) {
-            joy_ref->PitchTrimDown();
-            wasPitchTrimDownButtonPressed=true;
-        }
-    } else {
-        wasPitchTrimDownButtonPressed=false;
-    }
-
-    //down
-    if(self->IsButtonPressed(13)) {
-        if(!wasPitchTrimUpButtonPressed) {
-            joy_ref->PitchTrimUp();
-            wasPitchTrimUpButtonPressed=true;
-        }
-    } else {
-        wasPitchTrimUpButtonPressed=false;
-    }
-
-    //right
-    if(self->IsButtonPressed(15)) {
-        if(!wasRollTrimUpButtonPressed) {
-            joy_ref->RollTrimUp();
-            wasRollTrimUpButtonPressed=true;
-        }
-    } else {
-        wasRollTrimUpButtonPressed=false;
-    }
-
-    //left
-    if(self->IsButtonPressed(14)) {
-        if(!wasRollTrimDownButtonPressed) {
-            joy_ref->RollTrimDown();
-            wasRollTrimDownButtonPressed=true;
-        }
-    } else {
-        wasRollTrimDownButtonPressed=false;
-    }
-
-    if(!getFrameworkManager()->ConnectionLost()) {
-        input->GetMutex();
-        joy_ref->SetRollAxis(input->ValueNoMutex(0,0));
-        joy_ref->SetPitchAxis(input->ValueNoMutex(1,0));
-        joy_ref->SetYawAxis(input->ValueNoMutex(2,0));
-        joy_ref->SetAltitudeAxis(input->ValueNoMutex(3,0));
-        input->ReleaseMutex();
-    } else {
-        joy_ref->SetRollAxis(0);
-        joy_ref->SetPitchAxis(0);
-        joy_ref->SetYawAxis(0);
-        joy_ref->SetAltitudeAxis(0);
-    }
-    input->ReleaseMutex();
-
-    joy_ref->Update(data->DataTime());
-
-    if(!joy_init) {
-        self->TargetEthController::FlashLed(1,10,10);
-        joy_init=true;
-    }
-}
Index: trunk/lib/FlairMeta/src/MetaUsRangeFinder.cpp
===================================================================
--- trunk/lib/FlairMeta/src/MetaUsRangeFinder.cpp	(revision 14)
+++ trunk/lib/FlairMeta/src/MetaUsRangeFinder.cpp	(revision 15)
@@ -35,44 +35,36 @@
 using namespace flair::sensor;
 
-namespace flair { namespace meta
-{
+namespace flair {
+namespace meta {
 
-MetaUsRangeFinder::MetaUsRangeFinder(UsRangeFinder* us): Object(us,us->ObjectName()) {
-    this->us=us;
-    pbas_z=new ButterworthLowPass(us,us->GetLayout()->NewRow(),"Passe bas",3);
-    vz_euler=new EulerDerivative(pbas_z,us->GetLayout()->NewRow(),"Vz");
-    pbas_vz=new ButterworthLowPass(vz_euler,us->GetLayout()->NewRow(),"Passe bas v",3);
-
+MetaUsRangeFinder::MetaUsRangeFinder(UsRangeFinder *us)
+    : Object(us, us->ObjectName()) {
+  this->us = us;
+  pbas_z =
+      new ButterworthLowPass(us, us->GetLayout()->NewRow(), "Passe bas", 3);
+  vz_euler = new EulerDerivative(pbas_z, us->GetLayout()->NewRow(), "Vz");
+  pbas_vz = new ButterworthLowPass(vz_euler, us->GetLayout()->NewRow(),
+                                   "Passe bas v", 3);
 }
 
-MetaUsRangeFinder::~MetaUsRangeFinder() {
+MetaUsRangeFinder::~MetaUsRangeFinder() {}
 
+void MetaUsRangeFinder::UseDefaultPlot(void) {
+  us->UseDefaultPlot();
+
+  us->GetPlot()->AddCurve(pbas_z->Matrix()->Element(0), DataPlot::Blue);
+
+  vz_plot = new DataPlot1D(us->GetPlotTab()->LastRowLastCol(), "vz", -2, 2);
+  vz_plot->AddCurve(vz_euler->Matrix()->Element(0));
+  vz_plot->AddCurve(pbas_vz->Matrix()->Element(0), DataPlot::Blue);
 }
 
-void MetaUsRangeFinder::UseDefaultPlot(void) {
-    us->UseDefaultPlot();
+gui::DataPlot1D *MetaUsRangeFinder::GetZPlot() { return us->GetPlot(); }
 
-    us->GetPlot()->AddCurve(pbas_z->Matrix()->Element(0),DataPlot::Blue);
+gui::DataPlot1D *MetaUsRangeFinder::GetVzPlot() { return vz_plot; }
 
-    vz_plot=new DataPlot1D(us->GetPlotTab()->LastRowLastCol(),"vz",-2,2);
-    vz_plot->AddCurve(vz_euler->Matrix()->Element(0));
-    vz_plot->AddCurve(pbas_vz->Matrix()->Element(0),DataPlot::Blue);
-}
+float MetaUsRangeFinder::z(void) const { return pbas_z->Output(); }
 
-gui::DataPlot1D *MetaUsRangeFinder::GetZPlot() {
-    return us->GetPlot();
-}
-
-gui::DataPlot1D *MetaUsRangeFinder::GetVzPlot() {
-    return vz_plot;
-}
-
-float MetaUsRangeFinder::z(void) const {
-    return pbas_z->Output();
-}
-
-float MetaUsRangeFinder::Vz(void) const {
-    return pbas_vz->Output();
-}
+float MetaUsRangeFinder::Vz(void) const { return pbas_vz->Output(); }
 
 } // end namespace sensor
Index: trunk/lib/FlairMeta/src/MetaUsRangeFinder.h
===================================================================
--- trunk/lib/FlairMeta/src/MetaUsRangeFinder.h	(revision 14)
+++ trunk/lib/FlairMeta/src/MetaUsRangeFinder.h	(revision 15)
@@ -17,43 +17,41 @@
 
 namespace flair {
-    namespace filter {
-        class ButterworthLowPass;
-        class EulerDerivative;
-    }
-    namespace sensor {
-        class UsRangeFinder;
-    }
-    namespace gui {
-        class DataPlot1D;
-    }
+namespace filter {
+class ButterworthLowPass;
+class EulerDerivative;
+}
+namespace sensor {
+class UsRangeFinder;
+}
+namespace gui {
+class DataPlot1D;
+}
 }
 
-namespace flair
-{
-namespace meta
-{
-    /*! \class MetaUsRangeFinder
-    *
-    * \brief Classe haut niveau pour capteur à ultra son
-    *
-    * Contient une dérivée d'euler et un passe bas.
-    * Cette classe est adaptée pour un capteur d'altitude.
-    */
-    class MetaUsRangeFinder: public core::Object {
-        public:
-            MetaUsRangeFinder(sensor::UsRangeFinder* us);
-            ~MetaUsRangeFinder();
-            void UseDefaultPlot(void);
-            float z(void) const;
-            float Vz(void) const;
-            gui::DataPlot1D *GetZPlot();
-            gui::DataPlot1D *GetVzPlot();
+namespace flair {
+namespace meta {
+/*! \class MetaUsRangeFinder
+*
+* \brief Classe haut niveau pour capteur à ultra son
+*
+* Contient une dérivée d'euler et un passe bas.
+* Cette classe est adaptée pour un capteur d'altitude.
+*/
+class MetaUsRangeFinder : public core::Object {
+public:
+  MetaUsRangeFinder(sensor::UsRangeFinder *us);
+  ~MetaUsRangeFinder();
+  void UseDefaultPlot(void);
+  float z(void) const;
+  float Vz(void) const;
+  gui::DataPlot1D *GetZPlot();
+  gui::DataPlot1D *GetVzPlot();
 
-        private:
-            sensor::UsRangeFinder* us;
-            filter::ButterworthLowPass *pbas_z,*pbas_vz;
-            filter::EulerDerivative *vz_euler;
-            gui::DataPlot1D* vz_plot;
-    };
+private:
+  sensor::UsRangeFinder *us;
+  filter::ButterworthLowPass *pbas_z, *pbas_vz;
+  filter::EulerDerivative *vz_euler;
+  gui::DataPlot1D *vz_plot;
+};
 } // end namespace meta
 } // end namespace flair
Index: trunk/lib/FlairMeta/src/MetaVrpnObject.cpp
===================================================================
--- trunk/lib/FlairMeta/src/MetaVrpnObject.cpp	(revision 14)
+++ trunk/lib/FlairMeta/src/MetaVrpnObject.cpp	(revision 15)
@@ -36,79 +36,69 @@
 using namespace flair::filter;
 
-namespace flair { namespace meta {
+namespace flair {
+namespace meta {
 
-MetaVrpnObject::MetaVrpnObject(const VrpnClient *parent,string name): VrpnObject(parent,name,parent->GetTabWidget())
-{
-    ConstructorCommon(parent,name);
+MetaVrpnObject::MetaVrpnObject(const VrpnClient *parent, string name)
+    : VrpnObject(parent, name, parent->GetTabWidget()) {
+  ConstructorCommon(parent, name);
 }
 
-MetaVrpnObject::MetaVrpnObject(const VrpnClient *parent,std::string name,uint8_t id): VrpnObject(parent,name,id,parent->GetTabWidget())
-{
-    ConstructorCommon(parent,name);
+MetaVrpnObject::MetaVrpnObject(const VrpnClient *parent, std::string name,
+                               uint8_t id)
+    : VrpnObject(parent, name, id, parent->GetTabWidget()) {
+  ConstructorCommon(parent, name);
 }
 
-void MetaVrpnObject::ConstructorCommon(const VrpnClient *parent,string name) {
-    cvmatrix_descriptor* desc=new cvmatrix_descriptor(6,1);
-    for(int i=0;i<6;i++) {
-        desc->SetElementName(i,0,Output()->Name(i,0));
-    }
-    cvmatrix* prev_value=new cvmatrix(this,desc,elementDataType,name);
-    for(int i=0;i<6;i++) {
-        prev_value->SetValue(i,0,0);
-    }
+void MetaVrpnObject::ConstructorCommon(const VrpnClient *parent, string name) {
+  cvmatrix_descriptor *desc = new cvmatrix_descriptor(6, 1);
+  for (int i = 0; i < 6; i++) {
+    desc->SetElementName(i, 0, Output()->Name(i, 0));
+  }
+  cvmatrix *prev_value = new cvmatrix(this, desc, elementDataType, name);
+  for (int i = 0; i < 6; i++) {
+    prev_value->SetValue(i, 0, 0);
+  }
 
-    pbas=new LowPassFilter(this,parent->GetLayout()->NewRow(),name + " Passe bas",prev_value);
+  pbas = new LowPassFilter(this, parent->GetLayout()->NewRow(),
+                           name + " Passe bas", prev_value);
 
-    desc=new cvmatrix_descriptor(6,1);
-    for(int i=0;i<6;i++) {
-        desc->SetElementName(i,0,"d" + Output()->Name(i,0));
-    }
-    prev_value=new cvmatrix(this,desc,elementDataType,name);
-    for(int i=0;i<6;i++) {
-        prev_value->SetValue(i,0,0);
-    }
+  desc = new cvmatrix_descriptor(6, 1);
+  for (int i = 0; i < 6; i++) {
+    desc->SetElementName(i, 0, "d" + Output()->Name(i, 0));
+  }
+  prev_value = new cvmatrix(this, desc, elementDataType, name);
+  for (int i = 0; i < 6; i++) {
+    prev_value->SetValue(i, 0, 0);
+  }
 
-    euler=new EulerDerivative(pbas,parent->GetLayout()->NewRow(),name + "_euler",prev_value);
+  euler = new EulerDerivative(pbas, parent->GetLayout()->NewRow(),
+                              name + "_euler", prev_value);
 
-    vx_opti_plot=new DataPlot1D(GetPlotTab()->NewRow(),"vx",-3,3);
-    vx_opti_plot->AddCurve(euler->Matrix()->Element(3));
-    vy_opti_plot=new DataPlot1D(GetPlotTab()->LastRowLastCol(),"vy",-3,3);
-    vy_opti_plot->AddCurve(euler->Matrix()->Element(4));
-    vz_opti_plot=new DataPlot1D(GetPlotTab()->LastRowLastCol(),"vz",-2,2);
-    vz_opti_plot->AddCurve(euler->Matrix()->Element(5));
+  vx_opti_plot = new DataPlot1D(GetPlotTab()->NewRow(), "vx", -3, 3);
+  vx_opti_plot->AddCurve(euler->Matrix()->Element(3));
+  vy_opti_plot = new DataPlot1D(GetPlotTab()->LastRowLastCol(), "vy", -3, 3);
+  vy_opti_plot->AddCurve(euler->Matrix()->Element(4));
+  vz_opti_plot = new DataPlot1D(GetPlotTab()->LastRowLastCol(), "vz", -2, 2);
+  vz_opti_plot->AddCurve(euler->Matrix()->Element(5));
 
-    plot_tab=new Tab(parent->GetTabWidget(),"Mesures (xy) "+ name);
-    xy_plot=new DataPlot2D(plot_tab->NewRow(),"xy","y",-5,5,"x",-5,5);
-        xy_plot->AddCurve(Output()->Element(4,0),Output()->Element(3,0));
+  plot_tab = new Tab(parent->GetTabWidget(), "Mesures (xy) " + name);
+  xy_plot = new DataPlot2D(plot_tab->NewRow(), "xy", "y", -5, 5, "x", -5, 5);
+  xy_plot->AddCurve(Output()->Element(4, 0), Output()->Element(3, 0));
 }
 
-MetaVrpnObject::~MetaVrpnObject() {
-    delete plot_tab;
-}
+MetaVrpnObject::~MetaVrpnObject() { delete plot_tab; }
 
-DataPlot1D* MetaVrpnObject::VxPlot(void) const
-{
-    return vx_opti_plot;
-}
+DataPlot1D *MetaVrpnObject::VxPlot(void) const { return vx_opti_plot; }
 
-DataPlot1D* MetaVrpnObject::VyPlot(void) const
-{
-    return vy_opti_plot;
-}
+DataPlot1D *MetaVrpnObject::VyPlot(void) const { return vy_opti_plot; }
 
-DataPlot1D* MetaVrpnObject::VzPlot(void) const
-{
-    return vz_opti_plot;
-}
+DataPlot1D *MetaVrpnObject::VzPlot(void) const { return vz_opti_plot; }
 
-DataPlot2D* MetaVrpnObject::XyPlot(void) const {
-    return xy_plot;
-}
+DataPlot2D *MetaVrpnObject::XyPlot(void) const { return xy_plot; }
 
-void MetaVrpnObject::GetSpeed(Vector3D &speed) const
-{
-    speed.x=euler->Output(3,0);
-    speed.y=euler->Output(4,0);
-    speed.z=euler->Output(5,0);
+void MetaVrpnObject::GetSpeed(Vector3D &speed) const {
+  speed.x = euler->Output(3, 0);
+  speed.y = euler->Output(4, 0);
+  speed.z = euler->Output(5, 0);
 }
 
Index: trunk/lib/FlairMeta/src/MetaVrpnObject.h
===================================================================
--- trunk/lib/FlairMeta/src/MetaVrpnObject.h	(revision 14)
+++ trunk/lib/FlairMeta/src/MetaVrpnObject.h	(revision 15)
@@ -17,60 +17,53 @@
 #include "io_data.h"
 
-namespace flair
-{
-    namespace core
-    {
-        class Vector3D;
-        class FloatType;
-    }
-    namespace gui
-    {
-        class DataPlot1D;
-        class DataPlot2D;
-        class Tab;
-    }
-    namespace filter
-    {
-        class EulerDerivative;
-        class LowPassFilter;
-    }
-    namespace sensor
-    {
-        class VrpnClient;
-    }
+namespace flair {
+namespace core {
+class Vector3D;
+class FloatType;
+}
+namespace gui {
+class DataPlot1D;
+class DataPlot2D;
+class Tab;
+}
+namespace filter {
+class EulerDerivative;
+class LowPassFilter;
+}
+namespace sensor {
+class VrpnClient;
+}
 }
 
-namespace flair
-{
-namespace meta
-{
+namespace flair {
+namespace meta {
 
-    /*! \class MetaVrpnObject
-    *
-    * \brief Classe haut niveau intégrant un objet VRPN
-    *
-    * Contient un objet VRPN et une dérivée, d'euler.
-    */
-    class MetaVrpnObject: public sensor::VrpnObject {
-        public:
-            MetaVrpnObject(const sensor::VrpnClient *parent,std::string name);
-            MetaVrpnObject(const sensor::VrpnClient *parent,std::string name,uint8_t id);
-            ~MetaVrpnObject();
-            gui::DataPlot1D* VxPlot(void) const;//1,0
-            gui::DataPlot1D* VyPlot(void) const;//1,1
-            gui::DataPlot1D* VzPlot(void) const;//1,2
-            gui::DataPlot2D* XyPlot(void) const;
-            void GetSpeed(core::Vector3D &speed) const;
+/*! \class MetaVrpnObject
+*
+* \brief Classe haut niveau intégrant un objet VRPN
+*
+* Contient un objet VRPN et une dérivée, d'euler.
+*/
+class MetaVrpnObject : public sensor::VrpnObject {
+public:
+  MetaVrpnObject(const sensor::VrpnClient *parent, std::string name);
+  MetaVrpnObject(const sensor::VrpnClient *parent, std::string name,
+                 uint8_t id);
+  ~MetaVrpnObject();
+  gui::DataPlot1D *VxPlot(void) const; // 1,0
+  gui::DataPlot1D *VyPlot(void) const; // 1,1
+  gui::DataPlot1D *VzPlot(void) const; // 1,2
+  gui::DataPlot2D *XyPlot(void) const;
+  void GetSpeed(core::Vector3D &speed) const;
 
-        private:
-            void ConstructorCommon(const sensor::VrpnClient *parent,std::string name);
-            filter::LowPassFilter *pbas;
-            filter::EulerDerivative *euler;
-            gui::DataPlot2D *xy_plot;
-            gui::DataPlot1D *vx_opti_plot,*vy_opti_plot,*vz_opti_plot;
-            gui::Tab* plot_tab;
-            core::FloatType elementDataType;
-
-    };
+private:
+  void ConstructorCommon(const sensor::VrpnClient *parent, std::string name);
+  filter::LowPassFilter *pbas;
+  filter::EulerDerivative *euler;
+  gui::DataPlot2D *xy_plot;
+  gui::DataPlot1D *vx_opti_plot, *vy_opti_plot, *vz_opti_plot;
+  gui::Tab *plot_tab;
+  core::FloatType elementDataType;
+};
 } // end namespace meta
 } // end namespace flair
Index: trunk/lib/FlairMeta/src/SimuX4.cpp
===================================================================
--- trunk/lib/FlairMeta/src/SimuX4.cpp	(revision 14)
+++ trunk/lib/FlairMeta/src/SimuX4.cpp	(revision 15)
@@ -34,33 +34,35 @@
 using namespace flair::actuator;
 
-namespace flair { namespace meta {
+namespace flair {
+namespace meta {
 
-SimuX4::SimuX4(FrameworkManager* parent,string uav_name,int simu_id,filter::UavMultiplex *multiplex) : Uav(parent,uav_name,multiplex) {
+SimuX4::SimuX4(FrameworkManager *parent, string uav_name, int simu_id,
+               filter::UavMultiplex *multiplex)
+    : Uav(parent, uav_name, multiplex) {
 
-    if(multiplex==NULL) SetMultiplex(new X4X8Multiplex(parent,"motors",X4X8Multiplex::X4));
+  if (multiplex == NULL)
+    SetMultiplex(new X4X8Multiplex(parent, "motors", X4X8Multiplex::X4));
 
-    SetBldc(new SimuBldc(GetUavMultiplex(),GetUavMultiplex()->GetLayout(),"motors",GetUavMultiplex()->MotorsCount(),simu_id));
-    SetUsRangeFinder(new SimuUs(parent,"us",simu_id,60));
-    SetAhrs(new SimuAhrs(parent,"imu",simu_id,70));
-    Tab* bat_tab=new Tab(parent->GetTabWidget(),"battery");
-    SetBatteryMonitor(new BatteryMonitor(bat_tab->NewRow(),"battery"));
-    GetBatteryMonitor()->SetBatteryValue(12);
-    SetVerticalCamera(new SimuCamera(parent, "simu_cam_v", 320, 240, 3, simu_id, 10));
+  SetBldc(new SimuBldc(GetUavMultiplex(), GetUavMultiplex()->GetLayout(),
+                       "motors", GetUavMultiplex()->MotorsCount(), simu_id));
+  SetUsRangeFinder(new SimuUs(parent, "us", simu_id, 60));
+  SetAhrs(new SimuAhrs(parent, "imu", simu_id, 70));
+  Tab *bat_tab = new Tab(parent->GetTabWidget(), "battery");
+  SetBatteryMonitor(new BatteryMonitor(bat_tab->NewRow(), "battery"));
+  GetBatteryMonitor()->SetBatteryValue(12);
+  SetVerticalCamera(
+      new SimuCamera(parent, "simu_cam_v", 320, 240, 3, simu_id, 10));
 }
 
-SimuX4::~SimuX4() {
+SimuX4::~SimuX4() {}
 
+void SimuX4::StartSensors(void) {
+  ((SimuAhrs *)GetAhrs())->Start();
+  ((SimuUs *)GetUsRangeFinder())->Start();
+  ((SimuCamera *)GetVerticalCamera())->Start();
+  Uav::StartSensors();
 }
 
-void SimuX4::StartSensors(void) {
-    ((SimuAhrs*)GetAhrs())->Start();
-    ((SimuUs*)GetUsRangeFinder())->Start();
-    ((SimuCamera *)GetVerticalCamera())->Start();
-    Uav::StartSensors();
-}
-
-void SimuX4::SetupVRPNAutoIP(string name) {
-    SetupVRPN("127.0.0.1:3883",name);
-}
+void SimuX4::SetupVRPNAutoIP(string name) { SetupVRPN("127.0.0.1:3883", name); }
 
 } // end namespace meta
Index: trunk/lib/FlairMeta/src/SimuX4.h
===================================================================
--- trunk/lib/FlairMeta/src/SimuX4.h	(revision 14)
+++ trunk/lib/FlairMeta/src/SimuX4.h	(revision 15)
@@ -16,21 +16,20 @@
 #include "Uav.h"
 
-namespace flair
-{
-namespace meta
-{
-    /*! \class SimuX4
-    *
-    * \brief Class defining a simultation x4 uav
-    */
-    class SimuX4 : public Uav {
-        public:
-            //simu_id: 0 if simulating only one UAV
-            //>0 otherwise
-            SimuX4(core::FrameworkManager* parent,std::string uav_name,int simu_id=0,filter::UavMultiplex *multiplex=NULL);
-            ~SimuX4();
-            void StartSensors(void);
-            void SetupVRPNAutoIP(std::string name);
-    };
+namespace flair {
+namespace meta {
+/*! \class SimuX4
+*
+* \brief Class defining a simultation x4 uav
+*/
+class SimuX4 : public Uav {
+public:
+  // simu_id: 0 if simulating only one UAV
+  //>0 otherwise
+  SimuX4(core::FrameworkManager *parent, std::string uav_name, int simu_id = 0,
+         filter::UavMultiplex *multiplex = NULL);
+  ~SimuX4();
+  void StartSensors(void);
+  void SetupVRPNAutoIP(std::string name);
+};
 } // end namespace meta
 } // end namespace flair
Index: trunk/lib/FlairMeta/src/SimuX8.cpp
===================================================================
--- trunk/lib/FlairMeta/src/SimuX8.cpp	(revision 14)
+++ trunk/lib/FlairMeta/src/SimuX8.cpp	(revision 15)
@@ -34,33 +34,35 @@
 using namespace flair::actuator;
 
-namespace flair { namespace meta {
+namespace flair {
+namespace meta {
 
-SimuX8::SimuX8(FrameworkManager* parent,string uav_name,int simu_id,filter::UavMultiplex *multiplex) : Uav(parent,uav_name,multiplex) {
+SimuX8::SimuX8(FrameworkManager *parent, string uav_name, int simu_id,
+               filter::UavMultiplex *multiplex)
+    : Uav(parent, uav_name, multiplex) {
 
-    if(multiplex==NULL) SetMultiplex(new X4X8Multiplex(parent,"motors",X4X8Multiplex::X8));
+  if (multiplex == NULL)
+    SetMultiplex(new X4X8Multiplex(parent, "motors", X4X8Multiplex::X8));
 
-    SetBldc(new SimuBldc(GetUavMultiplex(),GetUavMultiplex()->GetLayout(),"motors",GetUavMultiplex()->MotorsCount(),simu_id));
-    SetUsRangeFinder(new SimuUs(parent,"us",simu_id,60));
-    SetAhrs(new SimuAhrs(parent,"imu",simu_id,70));
-    Tab* bat_tab=new Tab(parent->GetTabWidget(),"battery");
-    SetBatteryMonitor(new BatteryMonitor(bat_tab->NewRow(),"battery"));
-    GetBatteryMonitor()->SetBatteryValue(12);
-    SetVerticalCamera(new SimuCamera(parent, "simu_cam_v", 320, 240, 3, simu_id, 10));
+  SetBldc(new SimuBldc(GetUavMultiplex(), GetUavMultiplex()->GetLayout(),
+                       "motors", GetUavMultiplex()->MotorsCount(), simu_id));
+  SetUsRangeFinder(new SimuUs(parent, "us", simu_id, 60));
+  SetAhrs(new SimuAhrs(parent, "imu", simu_id, 70));
+  Tab *bat_tab = new Tab(parent->GetTabWidget(), "battery");
+  SetBatteryMonitor(new BatteryMonitor(bat_tab->NewRow(), "battery"));
+  GetBatteryMonitor()->SetBatteryValue(12);
+  SetVerticalCamera(
+      new SimuCamera(parent, "simu_cam_v", 320, 240, 3, simu_id, 10));
 }
 
-SimuX8::~SimuX8() {
+SimuX8::~SimuX8() {}
 
+void SimuX8::StartSensors(void) {
+  ((SimuAhrs *)GetAhrs())->Start();
+  ((SimuUs *)GetUsRangeFinder())->Start();
+  ((SimuCamera *)GetVerticalCamera())->Start();
+  Uav::StartSensors();
 }
 
-void SimuX8::StartSensors(void) {
-    ((SimuAhrs*)GetAhrs())->Start();
-    ((SimuUs*)GetUsRangeFinder())->Start();
-    ((SimuCamera *)GetVerticalCamera())->Start();
-    Uav::StartSensors();
-}
-
-void SimuX8::SetupVRPNAutoIP(string name) {
-    SetupVRPN("127.0.0.1:3883",name);
-}
+void SimuX8::SetupVRPNAutoIP(string name) { SetupVRPN("127.0.0.1:3883", name); }
 
 } // end namespace meta
Index: trunk/lib/FlairMeta/src/SimuX8.h
===================================================================
--- trunk/lib/FlairMeta/src/SimuX8.h	(revision 14)
+++ trunk/lib/FlairMeta/src/SimuX8.h	(revision 15)
@@ -16,21 +16,20 @@
 #include "Uav.h"
 
-namespace flair
-{
-namespace meta
-{
-    /*! \class SimuX8
-    *
-    * \brief Class defining a simultation x8 uav
-    */
-    class SimuX8 : public Uav {
-        public:
-            //simu_id: 0 if simulating only one UAV
-            //>0 otherwise
-            SimuX8(core::FrameworkManager* parent,std::string uav_name,int simu_id=0,filter::UavMultiplex *multiplex=NULL);
-            ~SimuX8();
-            void StartSensors(void);
-            void SetupVRPNAutoIP(std::string name);
-    };
+namespace flair {
+namespace meta {
+/*! \class SimuX8
+*
+* \brief Class defining a simultation x8 uav
+*/
+class SimuX8 : public Uav {
+public:
+  // simu_id: 0 if simulating only one UAV
+  //>0 otherwise
+  SimuX8(core::FrameworkManager *parent, std::string uav_name, int simu_id = 0,
+         filter::UavMultiplex *multiplex = NULL);
+  ~SimuX8();
+  void StartSensors(void);
+  void SetupVRPNAutoIP(std::string name);
+};
 } // end namespace meta
 } // end namespace flair
